<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
class Section extends AbstractDocumentEntity
{
        /**
         * @ORM\Column(type="string", length=32)
         */
        protected $cycle;

        const SECTION_CYCLE_DAY = 'day' ;
        const SECTION_CYCLE_WEEK = 'week' ;
        const SECTION_CYCLE_MONTH = 'month' ;
        const SECTION_CYCLE_YEAR = 'year' ;

        public function getCycle(): ?string
        {
                return $this->cycle;
        }

        public function setCycle(string $cycle): self
        {
                $this->cycle = $cycle;

                return $this;
        }
}
